# source the environment of CellRanger 6.0.1 for your shell (bash/csh)
# (for bash shell)

source $1/sourceme.bash
echo "Check pip..."
python -m ensurepip

echo "version checks"
python -m pip --version
python --version

echo "Installing fetch-imgt packages"
python -m pip install lxml
python -m pip install 'biopython==1.74'
python -m pip install requests

# Using a script that comes with Cell Ranger, get data from IMGT and create a FASTA suitable for use by mkvdjref
# The option --species is the name of the species for which the data is to be downloaded.
# The option --genome provides the prefix used to name the 2 output files. Only the file with suffix -mkvdjref-input.fasta is used as input to the mkvdjref utility.
python $1/lib/bin/fetch-imgt --genome $2 --species $3

# Build the CR reference. could also include Cell Ranger on your PATH to avoid specifying the full path for cellranger.
# The option --genome is a single identifier with no special symbols aside from hyphen or underscore. The reference will be placed in a directory created with that name.
# The option --seqs is the mkvdjref-input.fasta file generated by the fetch-imgt command.
$1/cellranger mkvdjref --genome=$2 --seqs=$2-mkvdjref-input.fasta
